	SUBROUTINE mySubr()
	 IMPLICIT NONE

	 integer i1, i2
	 real    f1, f2

	 COMMON /myName/ i1, f1     ! Must be in same order !!!

	 i1 = 5555
	 f1 = 6666
	 i2 = 7777
	 f2 = 8888

	 RETURN
	END SUBROUTINE

! ================================================================

	PROGRAM myProgram
	 IMPLICIT NONE

	 interface
	   subroutine mySubr()
	   end subroutine
	 end interface

	 integer i1, i2
	 real    f1, f2
	 
	 COMMON /myName/ i1, f1     ! Must be in same order !!!
	 i1 = 1111
	 f1 = 2222
	 i2 = 3333
	 f2 = 4444

	 CALL mySubr

	 print *, i1
	 print *, f1
	 print *, i2
	 print *, f2

	END
	
